import 'dart:math';

import 'package:flutter/material.dart';
import 'package:remever/common/resources.dart';
import 'package:remever/components/extensions/context.dart';

class CollectionProgressBar extends StatelessWidget {
  const CollectionProgressBar({super.key});

  @override
  Widget build(BuildContext context) {
    return Stack(
      children: <Widget>[
        Container(
          height: 2.h,
          width: 230.w,
          decoration: BoxDecoration(
            borderRadius: const BorderRadius.all(Radius.circular(2)).r,
            color: AppColors.gray,
          ),
        ),
        Container(
          height: 2.h,
          width: Random().nextInt(230).w,
          decoration: BoxDecoration(
            borderRadius: const BorderRadius.all(Radius.circular(2)).r,
            gradient: const LinearGradient(
              colors: <Color>[
                Color(0xFFA7DEDC),
                Color(0xFF318D89),
                Color(0xFF4633BF),
              ],
            ),
          ),
        ),
      ],
    );
  }
}
